package com.mortals.xhx.module.datum.service;

import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.datum.model.DatumInfoFieldEntity;
import com.mortals.xhx.module.datum.dao.DatumInfoFieldDao;
import com.mortals.xhx.module.datum.model.DatumInfoFieldQuery;
import com.mortals.xhx.module.matter.model.MatterDatumPrintEntity;
import com.mortals.xhx.module.matter.model.MatterDatumPrintQuery;

import java.util.List;

/**
 * DatumInfoFieldService
 * <p>
 * 填单用户信息字段 service接口
 *
 * @author zxfei
 * @date 2024-04-23
 */
public interface DatumInfoFieldService extends ICRUDService<DatumInfoFieldEntity, Long> {

    DatumInfoFieldDao getDao();

    /**
     * 解析保存表单字段
     *
     * @param matterDatumPrintEntity
     * @param context
     * @return
     */
    Rest<List<DatumInfoFieldEntity>> parseFormContent(MatterDatumPrintEntity matterDatumPrintEntity, Context context);


    /**
     * 去除重复列表
     *
     * @param datumInfoFieldQuery
     * @param context
     * @return
     */
    Rest<List<DatumInfoFieldEntity>> distinctList(DatumInfoFieldQuery datumInfoFieldQuery, Context context);


}